View Javadoc

    1   /*
    2    * Copyright 2004-2009 the Seasar Foundation and the Others.
    3    *
    4    * Licensed under the Apache License, Version 2.0 (the "License");
    5    * you may not use this file except in compliance with the License.
    6    * You may obtain a copy of the License at
    7    *
    8    *     http://www.apache.org/licenses/LICENSE-2.0
    9    *
    10   * Unless required by applicable law or agreed to in writing, software
    11   * distributed under the License is distributed on an "AS IS" BASIS,
    12   * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
    13   * either express or implied. See the License for the specific language
    14   * governing permissions and limitations under the License.
    15   */
    16  package org.seasar.cubby.validator;
    17
    18  import java.util.ArrayList;
    19  import java.util.List;
    20
    21  import org.seasar.cubby.action.MessageInfo;
    22
    23  /**
    24   * 入力検証のコンテキスト。
    25   *
    26   * @author agata
    27   * @author baba
    28   */
    29  public class ValidationContext {
    30
    31  	private final List<MessageInfo> messageInfos = new ArrayList<MessageInfo>();
    32
    33  	/**
    34  	 * メッセージ情報を追加します。
    35  	 *
    36  	 * @param messageInfo
    37  	 *            メッセージ情報
    38  	 */
    39  	public void addMessageInfo(final MessageInfo messageInfo) {
    40  		messageInfos.add(messageInfo);
    41  	}
    42
    43  	/**
    44  	 * メッセージ情報のリストを取得します。
    45  	 *
    46  	 * @return メッセージ情報のリスト
    47  	 */
    48  	public List<MessageInfo> getMessageInfos() {
    49  		return messageInfos;
    50  	}
    51
    52  }